[B012] Clinical Trial Search
Obtain clinical trial through fields such as target, organization, disease, etc.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| integer<int64> | - | Offset, default 0 |
| integer<int64> | 10 | Limit, default 10. offset + limit <= 20000, limit up to 1,000. |
| object | {
"value": [
"CRISPR"
],
"condition": "OR"
} | Keywords, The "condition" field defaults to OR and AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"keytruda"
] | Value List |
| object | {
"value": [
"2838b95ade834c96b17ac8bcd2b68c27"
],
"condition": "OR"
} | Intervention Drug, The "condition" field defaults to OR and AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"945fa31ebe9e41ae912e493aa3324576"
] | Value List |
| object | {
"value": [
"01b23c90dfeb41ddae473c4f576668ad"
],
"condition": "OR"
} | Control Drug, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"945fa31ebe9e41ae912e493aa3324576"
] | Value List |
| object | {
"value": [
"55317f856f0d78124a6845222345ba8e"
],
"condition": "OR"
} | Sponsor/Collaborator, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"6a8c172f1efc649035845f94c31a9c1e"
] | Value List |
| object | {
"value": [
"d9461748c4c54a0b84cbad2ae3fce7d5"
],
"condition": "OR"
} | Target, The "condition" field defaults to OR and AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"9786d32e3d244a688ec6a60d2fe1b10b"
] | Value List |
| object | {
"value": [
"138f7edea9d70a30233e854b342a1eca"
],
"condition": "OR"
} | Mechanism, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"4dd338b149b3ecd0ee860e1fb379b44f"
] | Value List |
| object | {
"value": [
"f319fa27684c4cdeb6ce59d897217718"
],
"condition": "OR"
} | Indication, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"62eaee6d9ee44410b8aca59dfc7408e9"
] | Value List |
| object | {
"value": [
"1151dbc710f64a85923dc05d4a5a0ba9"
],
"condition": "OR"
} | Drug Type, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"c38eb408d6b842f487d6a27484156633"
] | Value List |
| object | {
"value": [
"DESTINY-Breast04"
],
"condition": "OR"
} | Study Code, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"MK-3475-587"
] | Value List |
| object | {
"value": [
"NCT05047601"
],
"condition": "OR"
} | Trial Number, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"NCT03486873"
] | Value List |
| object | {
"value": [
"COVID-19"
],
"condition": "OR"
} | Clinical Trial Title, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"Tumors"
] | Value List |
| array | [
"Recruiting"
] | Recruitment Status, The value is an enum with the following values: Not_Yet_Recruiting, Recruiting, Enrolling_By_Invitation, Active_Not_Recruiting, Suspended, Terminated, Completed, Withdrawn, Unknown_Status |
| array | [
"Phase_3"
] | Study Phase, The value is an enum with the following values: Early_Phase_1, Phase_1, Phase_1_2, Phase_2, Phase_2_3, Phase_3, Phase_4, Not_Applicable |
| object | {
"to": 1546387199999,
"from": 1514764800000
} | Start Date, Referencing "ClinicalTrialSearchStartDateLongRangeItem" |
| integer<int64> | 1514764800000 | from |
| integer<int64> | 1546387199999 | to |
| object | {
"to": 1546387199999,
"from": 1514764800000
} | First Post Date, Referencing "ClinicalTrialSearchFirstPostedDateLongRangeItem" |
| integer<int64> | 1514764800000 | from |
| integer<int64> | 1546387199999 | to |
| array | [
"GREATER_THAN_FIVE_HUNDRED"
] | Enrollment, The value is an enum with the following values: LESS_THAN_FIFTEEN, FIFTEEN_TO_SIXTY, SIXTY_TO_THREE_HUNDRED, THREE_HUNDRED_TO_FIVE_HUNDRED, GREATER_THAN_FIVE_HUNDRED |
| array | [
"Company"
] | Organization Type, The value is an enum with the following values: Company, University_Institution, Other |
| array | [
"GREATER_THAN_500"
] | Employee Number, The value is an enum with the following values: LESS_THAN_10, BETWEEN_10_AND_100, BETWEEN_100_AND_500, GREATER_THAN_500 |
| array | [
"Asia"
] | Country/Location, The value is an enum with the following values: Asia, North_America, Europe, Oceania, South_America, US, EU, CN, JP, Other |
| array | [
"62eaee6d9ee44410b8aca59dfc7408e9"
] | Therapeutic Areas, Retrieve therapeutic area id using the [B058]. |
| array | [
{
"sort_field": "STUDY_FIRST_POSTED_DATE",
"sort_order": "desc"
},
{
"sort_field": "START_DATE",
"sort_order": "desc"
},
{
"sort_field": "LAST_UPDATE_POSTED_DATE",
"sort_order": "desc"
}
] | Sorting fields. The value is an enum with the following values: STUDY_FIRST_POSTED_DATE, START_DATE, LAST_UPDATE_POSTED_DATE. The default sorting is by first post date, start date, and last post date, all in descending order. Referencing "ClinicalTrialSearchSortDto" |
| string | STUDY_FIRST_POSTED_DATE | sort field, enum values: STUDY_FIRST_POSTED_DATE, START_DATE, LAST_UPDATE_POSTED_DATE |
| string | desc | sort order, support:desc,asc |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
items | array | Please check the form:ClinicalTrialSearchDetail | Result Items |
brief_title | string | Finding an Effective Dose of GM1 to Reduce or Prevent Neuropathy (Numbness or Weakness) Due to Treatment With Paclitaxel (Phase II) | Brief Title |
official_title | string | An Early Phase and Phase II Clinical Trial to Evaluate Ganglioside-Monosialic Acid (GM1) for Preventing Paclitaxel-Associated Neuropathy | Official Title |
register_number | string | NCT05751668 | Trial Number |
clinical_trial_id | string | e3a8282e8e85590e2ad225a2522ea828 | Clinical Trial ID |
limit | integer<int64> | 10 | limit |
total | integer<int64> | 10 | total |
offset | integer<int64> | - | offset |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"items": [
{
"brief_title": "Finding an Effective Dose of GM1 to Reduce or Prevent Neuropathy (Numbness or Weakness) Due to Treatment With Paclitaxel (Phase II)",
"official_title": "An Early Phase and Phase II Clinical Trial to Evaluate Ganglioside-Monosialic Acid (GM1) for Preventing Paclitaxel-Associated Neuropathy",
"register_number": "NCT05751668",
"clinical_trial_id": "e3a8282e8e85590e2ad225a2522ea828"
}
],
"limit": 10,
"total": 10,
"offset": 0
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms